
Figure - Bug #119171
【AF】副屏蓝牙开启后报错
2023-08-10 16:16 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-08-10

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0810DB

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 设备存储满，没有可用存储。

Description

【前提条件】

副屏内存剩余0B

【操作步骤】

1.打开副屏蓝牙

【实际结果】

副屏弹窗报错

History

#1 - 2023-08-11 10:10 - CD FW-廖涛

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-廖涛 to 物联网测试组_TSCD 王维

- Resolution changed from -- to WONTFIX

- Root cause set to 设备存储满，没有可用存储。

■ Current conclusion

从日志看，蓝牙进程出现了 disk I/O error，在蓝牙进程出现该问题前，已有其他进程多次出现该错误，问题产生的原因是设备没有可用存储。该问无需处

理，清理设备的存储，恢复一定的可用存储后即可恢复正常。

■ My analysis

错误日志：

08-10 16:04:20.487 E/AndroidRuntime(16654): FATAL EXCEPTION: BluetoothDatabaseManager

08-10 16:04:20.487 E/AndroidRuntime(16654): Process: com.android.bluetooth, PID: 16654

08-10 16:04:20.487 E/AndroidRuntime(16654): android.database.sqlite.SQLiteDiskIOException: disk I/O error (code 4874 SQLITE_IOERR_SHMSIZE): , while

compiling: PRAGMA journal_mode

08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.database.sqlite.SQLiteConnection.nativePrepareStatement(Native Method)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.database.sqlite.SQLiteConnection.acquirePreparedStatement(SQLiteConnection.java:1047)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.database.sqlite.SQLiteConnection.executeForString(SQLiteConnection.java:790)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.database.sqlite.SQLiteConnection.setJournalMode(SQLiteConnection.java:407)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.database.sqlite.SQLiteConnection.setWalModeFromConfiguration(SQLiteConnection.java:337)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.database.sqlite.SQLiteConnection.open(SQLiteConnection.java:260)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.database.sqlite.SQLiteConnection.open(SQLiteConnection.java:205)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.database.sqlite.SQLiteConnectionPool.openConnectionLocked(SQLiteConnectionPool.java:505)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.database.sqlite.SQLiteConnectionPool.open(SQLiteConnectionPool.java:206)
08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.database.sqlite.SQLiteConnectionPool.open(SQLiteConnectionPool.java:198)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.database.sqlite.SQLiteDatabase.openInner(SQLiteDatabase.java:919)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.database.sqlite.SQLiteDatabase.open(SQLiteDatabase.java:899)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.database.sqlite.SQLiteDatabase.openDatabase(SQLiteDatabase.java:763)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.database.sqlite.SQLiteDatabase.openDatabase(SQLiteDatabase.java:752)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.database.sqlite.SQLiteOpenHelper.getDatabaseLocked(SQLiteOpenHelper.java:373)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.database.sqlite.SQLiteOpenHelper.getWritableDatabase(SQLiteOpenHelper.java:316)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at

androidx.sqlite.db.framework.FrameworkSQLiteOpenHelper$OpenHelper.getWritableSupportDatabase(FrameworkSQLiteOpenHelper.java:145)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at

androidx.sqlite.db.framework.FrameworkSQLiteOpenHelper.getWritableDatabase(FrameworkSQLiteOpenHelper.java:106)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at androidx.room.RoomDatabase.inTransaction(RoomDatabase.java:622)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at androidx.room.RoomDatabase.assertNotSuspendingTransaction(RoomDatabase.java:399)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at com.android.bluetooth.btservice.storage.MetadataDao_Impl.load(MetadataDao_Impl.java:271)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at com.android.bluetooth.btservice.storage.MetadataDatabase.load(MetadataDatabase.java:98)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at

com.android.bluetooth.btservice.storage.DatabaseManager$DatabaseHandler.handleMessage(DatabaseManager.java:125)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.os.Handler.dispatchMessage(Handler.java:106)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.os.Looper.loopOnce(Looper.java:201)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.os.Looper.loop(Looper.java:288)

08-10 16:04:20.487 E/AndroidRuntime(16654):     at android.os.HandlerThread.run(HandlerThread.java:67)

■ Next action

麻烦测试确认。

#2 - 2023-08-23 15:01 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

#3 - 2023-08-23 15:01 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#4 - 2023-08-23 15:01 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

lanya.txt 6.7 MB 2023-08-10 物联网测试组_TSCD 王维

mv.txt 5.15 MB 2023-08-10 物联网测试组_TSCD 王维
